policy:
  name: policy
  collection: monitoring.projects.alertPolicies
  request_id_field: name
  attributes:
  - parameter_name: alertPoliciesId
    attribute_name: policy
    help: The name of the alerting policy.

snooze:
  name: snooze
  collection: monitoring.projects.snoozes
  request_id_field: name
  attributes:
  - parameter_name: snoozesId
    attribute_name: snooze
    help: The name of the snooze.

alert:
  name: alert
  collection: monitoring.projects.alerts
  request_id_field: name
  attributes:
  - parameter_name: alertsId
    attribute_name: alert
    help: The name of the alert.

project:
  name: project
  collection: monitoring.projects
  attributes:
  - parameter_name: projectsId
    attribute_name: project
    help: The name of the project.

notification_channel_descriptor:
  name: channel_descriptor
  collection: monitoring.projects.notificationChannelDescriptors
  request_id_field: name
  attributes:
  - parameter_name: notificationChannelDescriptorsId
    attribute_name: descriptor
    help: The name of the notification channel descriptor.

notification_channel:
  name: notification_channel
  collection: monitoring.projects.notificationChannels
  request_id_field: name
  attributes:
  - parameter_name: notificationChannelsId
    attribute_name: channel
    help: The name of the notification channel.

dashboard:
  name: dashboard
  collection: monitoring.projects.dashboards
  request_id_field: name
  attributes:
  - parameter_name: dashboardsId
    attribute_name: dashboard
    help: The ID of the dashboard.

metrics_scope:
  name: metrics_scope
  collection: monitoring.locations.global.metricsScopes
  request_id_field: name
  attributes:
  - parameter_name: metricsScopesId
    attribute_name: metrics_scope
    help: The project ID corresponding to the metrics scope.

uptime_check:
  name: uptime check or synthetic monitor
  collection: monitoring.projects.uptimeCheckConfigs
  request_id_field: name
  attributes:
  - parameter_name: uptimeCheckConfigsId
    attribute_name: check_id
    help: The check ID corresponding to the uptime check config.

uptime_check_ip:
  name: uptime_check_ip
  collection: monitoring.uptimeCheckIps
